# Update node

## Node update guide

Update requires updating to the latest node binary.

For a detailed guide, please choose the proper instruction according to the method used to install the node:

* [Automated script](#automated-script-installs) (a.k.a. nodes installed with [this guide](/blockchain/for-validators-nominators-and-stakers/run-a-validator.md#option-1-automatic-script))
* [Docker](#docker-installs)
* [Manual](#manual-installs)

## Automated script installs

Run the following command on your server:

```
curl -sSLO https://raw.githubusercontent.com/liberland/liberland_substrate/main/substrate/scripts/install/install.sh
bash install.sh
```

The installer will detect existing install and perform the required updates without wiping any data or keys. If asked about which network to use - make sure you choose the correct one.

## Docker installs

You need to pull the latest image and recreate your container.

If you followed the [Complete example of running a validator on mainnet](/blockchain/for-developers-and-testers/docker.md) guide, follow these steps:

1. Pull the latest image:

   ```
   docker pull liberland/blockchain-node:latest
   ```
2. Stop and remove the old container. If you followed the guide, it won't remove any data or keys:

   ```
   docker stop liberland && docker rm liberland
   ```
3. Recreate the container:

   ```
   docker run --name liberland -d --network=host --restart always -v $HOME/liberland_data:/data liberland/blockchain-node:latest -d /data --chain mainnet --validator
   ```

## Manual installs

If you've installed manually, you need to:

1. Download latest node binary (`linux_x86_build`) from the [releases page](https://github.com/liberland/liberland_substrate/releases)
2. Stop your node
3. Replace the binary you're using with the downloaded one
4. Restart your node


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liberland.org/blockchain/for-validators-nominators-and-stakers/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
